Bug 20020 - use Modern::Perl in XT scripts
Summary: use Modern::Perl in XT scripts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Charlotte Cordwell
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 2505
  Show dependency treegraph
 
Reported: 2018-01-17 20:15 UTC by Aleisha Amohia
Modified: 2018-02-16 01:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20020: use Modern::Perl in XT scripts (3.95 KB, patch)
2018-01-18 03:34 UTC, Charlotte Cordwell
Details | Diff | Splinter Review
Bug 20020: use Modern::Perl in XT scripts (4.00 KB, patch)
2018-01-24 19:02 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 20020: use Modern::Perl in XT scripts (4.11 KB, patch)
2018-02-04 13:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 20:15:59 UTC
use Modern::Perl should be used instead of use strict; use warnings;

Relevant in:
author/podcorrectness.t
author/show-template-structure.pl
author/translatable-templates.t
author/valid-templates.t
find-license-problems
fix-old-fsf-address
single_quotes.t
verify-debian-docbook.t
Comment 1 Charlotte Cordwell 2018-01-18 03:34:26 UTC
Created attachment 70673 [details] [review]
Bug 20020: use Modern::Perl in XT scripts

Test Case:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

author/podcorrectness.t
author/show-template-structure.pl
author/translatable-templates.t
author/valid-templates.t
find-license-problems
fix-old-fsf-address
single_quotes.t
verify-debian-docbook.t
Comment 2 Jon Knight 2018-01-24 19:02:14 UTC
Created attachment 70903 [details] [review]
Bug 20020: use Modern::Perl in XT scripts

Test Case:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

author/podcorrectness.t
author/show-template-structure.pl
author/translatable-templates.t
author/valid-templates.t
find-license-problems
fix-old-fsf-address
single_quotes.t
verify-debian-docbook.t

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 3 Katrin Fischer 2018-02-04 13:05:58 UTC
Created attachment 71178 [details]
k
Comment 4 Katrin Fischer 2018-02-04 13:06:55 UTC
Created attachment 71179 [details] [review]
Bug 20020: use Modern::Perl in XT scripts

Test Case:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

author/podcorrectness.t
author/show-template-structure.pl
author/translatable-templates.t
author/valid-templates.t
find-license-problems
fix-old-fsf-address
single_quotes.t
verify-debian-docbook.t

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-02-05 13:00:26 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-02-16 01:01:37 UTC
Awesome work all! Enhancement not backported to stable.